Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class MessageContainerManagerSupport

    java.lang.Object
      org.codehaus.activemq.service.impl.MessageContainerManagerSupport

All Implemented Interfaces:
  MessageContainerManager, Service

Direct Known Subclasses:
  DurableTopicMessageContainerManager, QueueMessageContainerManager

public abstract class MessageContainerManagerSupport
extends java.lang.Object
implements MessageContainerManager

Version:
  $Revision: 1.1 $

Field Summary
`protected Dispatcher` | `dispatcher`
`protected java.util.Map` | `messageContainers`

Constructor Summary
`MessageContainerManagerSupport(Dispatcher dispatcher)`

Method Summary
`void` | `start()` start the broker
`void` | `stop()` stop the broker

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.activemq.service.MessageContainerManager
`acknowledgeMessage, acknowledgeTransactedMessage, addMessageConsumer, commitTransaction, deleteSubscription, getContainer, poll, redeliverMessage, removeMessageConsumer, rollbackTransaction, sendMessage`

Field Detail

### dispatcher

    protected Dispatcher dispatcher

### messageContainers

    protected java.util.Map messageContainers

Constructor Detail

### MessageContainerManagerSupport

    public MessageContainerManagerSupport(Dispatcher dispatcher)

Method Detail

### start

    public void start()
               throws JMSException

  start the broker

  Specified by:
    `start` in interface `Service`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  stop the broker

  Specified by:
    `stop` in interface `Service`
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.